> ## Documentation Index
> Fetch the complete documentation index at: https://domoinc-openapi-sync-dataflows.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create DataSet

> Creates a new DataSet in your Domo instance. Once the DataSet has been created, data can then be imported into the DataSet.



## OpenAPI

````yaml /openapi/platform/simple.yaml POST /v1/json
openapi: 3.1.0
info:
  title: Simple API
  version: '1.0'
  description: >-
    The Simple API allows you to create new DataSets and import JSON data into
    them.
servers:
  - url: https://api.domo.com
    description: Domo API
security:
  - bearerAuth: []
paths:
  /v1/json:
    parameters: []
    post:
      summary: Create DataSet
      description: >-
        Creates a new DataSet in your Domo instance. Once the DataSet has been
        created, data can then be imported into the DataSet.
      parameters:
        - schema:
            type: string
          in: query
          name: name
          required: true
          description: Name of the DataSet to create
        - schema:
            type: string
          in: query
          name: description
          required: false
          description: Description of DataSet to create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
              x-examples:
                Example 1:
                  name: Leonhard Euler Party
                  description: Mathematician Guest List
            examples:
              Example 1:
                value:
                  name: Leonhard Euler Party
                  description: Mathematician Guest List
        description: ''
      responses:
        '201':
          description: Created — Body contains the details of the created DataSet
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The DataSet id
                  name:
                    type: string
                    description: The DataSet name
                  description:
                    type: string
                    description: The description of the DataSet
                  rows:
                    type: integer
                  columns:
                    type: integer
                  owner:
                    type: object
                    properties:
                      id:
                        type: integer
                      name:
                        type: string
                  createdAt:
                    type: string
                  updatedAt:
                    type: string
                  pdpEnabled:
                    type: boolean
                    description: Personalized Data Permissions enabled
                  policies:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        type:
                          type: string
                          example: open
                        name:
                          type: string
                          example: All Rows
                        filters:
                          type: array
                          items:
                            type: object
                        users:
                          type: array
                          items:
                            type: object
                        virtualUsers:
                          type: array
                          items:
                            type: object
                        groups:
                          type: array
                          items:
                            type: object
                x-examples:
                  Example 1:
                    id: 4405ff58-1957-45f0-82bd-914d989a3ea3
                    name: Leonhard Euler Party
                    description: Mathematician Guest List
                    rows: 0
                    columns: 0
                    owner:
                      id: 540824232
                      name: John Smith
                    createdAt: '2025-04-21T17:20:36Z'
                    updatedAt: '2025-04-21T17:20:36Z'
                    pdpEnabled: false
                    policies:
                      - id: 622387
                        type: open
                        name: All Rows
                        filters: []
                        users: []
                        virtualUsers: []
                        groups: []
              examples:
                Example 1:
                  value:
                    id: 4405ff58-1957-45f0-82bd-914d989a3ea3
                    name: Leonhard Euler Party
                    description: Mathematician Guest List
                    rows: 0
                    columns: 0
                    owner:
                      id: 540824232
                      name: John Smith
                    createdAt: '2025-04-21T17:20:36Z'
                    updatedAt: '2025-04-21T17:20:36Z'
                    pdpEnabled: false
                    policies:
                      - id: 622387
                        type: open
                        name: All Rows
                        filters: []
                        users: []
                        virtualUsers: []
                        groups: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````